Page MenuHomePhabricator

Make newUpload much smaller, move most upload init into UWU() and move interface code to UWUI()
Closed, ResolvedPublic

Description

Also make the callbacks bound in UW into events using EventEmitter

Details

Reference
fl466

Event Timeline

flimport raised the priority of this task from to Normal.Sep 12 2014, 1:42 AM
flimport set Reference to fl466.
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:41 PM
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:41 PM
MarkTraceur lowered the priority of this task from Normal to Low.Dec 3 2015, 8:03 PM
MarkTraceur added a project: Technical-Debt.
Danny_B moved this task from Unsorted to Move on the Technical-Debt board.Jan 23 2016, 12:16 AM
matmarex closed this task as Resolved.Feb 18 2016, 9:26 PM
matmarex added a subscriber: matmarex.

It seems that mostly happened.